Name:          libkgapi
Version:       2.1.1
Release:       1mamba
Summary:       A KDE-based library for accessing various Google services via their public API
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.progdan.cz/2012/05/libkgoogle-libkgapi/
Source:        http://download.kde.org/stable/libkgapi/%{version}/src/libkgapi-%{version}.tar.bz2
Patch0:        libkgapi-2.0.2-qt-4.8.5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libqjson-devel
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibKGAPI is a KDE-based library for accessing various Google services via their public API.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
#%{_kde4_libdir}/libkgapi.so.*
%{_kde4_libdir}/libkgapi2.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
#%dir %{_kde4_includedir}/libkgapi
#%{_kde4_includedir}/libkgapi/*.h
#%dir %{_kde4_includedir}/libkgapi/objects
#%{_kde4_includedir}/libkgapi/objects/*
#%dir %{_kde4_includedir}/libkgapi/services
#%{_kde4_includedir}/libkgapi/services/*.h
#%dir %{_kde4_includedir}/libkgapi/ui
#%{_kde4_includedir}/libkgapi/ui/*.h
%dir %{_kde4_includedir}/libkgapi2
%{_kde4_includedir}/libkgapi2/*
%dir %{_kde4_includedir}/LibKGAPI2
%{_kde4_includedir}/LibKGAPI2/*
#%dir %{_kde4_libdir}/cmake/LibKGAPI
#%{_kde4_libdir}/cmake/LibKGAPI/*.cmake
%dir %{_kde4_libdir}/cmake/LibKGAPI2
%{_kde4_libdir}/cmake/LibKGAPI2/*.cmake
#%{_kde4_libdir}/libkgapi.so
%{_kde4_libdir}/libkgapi2.so
#%{_kde4_libdir}/pkgconfig/libkgapi.pc
#%{_kde4_libdir}/pkgconfig/libkgapi2.pc

%changelog
* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Sun Dec 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- update to 2.0.2

* Mon Jun 03 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Thu May 23 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Dec 26 2012 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- update to 0.4.4

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Fri Aug 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- package created by autospec
